GDB (xrefs)

Enumerations | Functions | Variables
/tmp/gdb-8.1/gdb/frv-tdep.h File Reference

Go to the source code of this file.

## Enumerations
enum | frv_abi { FRV_ABI_EABI, FRV_ABI_FDPIC }
enum | { first_gpr_regnum = 0, sp_regnum = 1, fp_regnum = 2, struct_return_regnum = 3, last_gpr_regnum = 63, first_fpr_regnum = 64, last_fpr_regnum = 127, pc_regnum = 128, first_spr_regnum = 129, psr_regnum = 129, ccr_regnum = 130, cccr_regnum = 131, fdpic_loadmap_exec_regnum = 132, fdpic_loadmap_interp_regnum = 133, tbr_regnum = 135, brr_regnum = 136, dbar0_regnum = 137, dbar1_regnum = 138, dbar2_regnum = 139, dbar3_regnum = 140, scr0_regnum = 141, scr1_regnum = 142, scr2_regnum = 143, scr3_regnum = 144, lr_regnum = 145, lcr_regnum = 146, iacc0h_regnum = 147, iacc0l_regnum = 148, fsr0_regnum = 149, acc0_regnum = 150, acc7_regnum = 157, accg0123_regnum = 158, accg4567_regnum = 159, msr0_regnum = 160, msr1_regnum = 161, gner0_regnum = 162, gner1_regnum = 163, fner0_regnum = 164, fner1_regnum = 165, last_spr_regnum = 165, frv_num_regs = last_spr_regnum + 1, first_pseudo_regnum = frv_num_regs, iacc0_regnum = first_pseudo_regnum + 0, accg0_regnum = first_pseudo_regnum + 1, accg7_regnum = accg0_regnum + 7, last_pseudo_regnum = accg7_regnum, frv_num_pseudo_regs = last_pseudo_regnum - first_pseudo_regnum + 1 }

## Functions
enum frv_abi | frv_abi (struct gdbarch *gdbarch)
int | frv_fdpic_loadmap_addresses (struct gdbarch *gdbarch, CORE_ADDR *interp_addr, CORE_ADDR *exec_addr)
CORE_ADDR | frv_fdpic_find_global_pointer (CORE_ADDR addr)
CORE_ADDR | frv_fdpic_find_canonical_descriptor (CORE_ADDR entry_point)
CORE_ADDR | frv_fetch_objfile_link_map (struct objfile *objfile)

## Variables
struct target_so_ops | frv_so_ops

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
first_gpr_regnum |
sp_regnum |
fp_regnum |
struct_return_regnum |
last_gpr_regnum |
first_fpr_regnum |
last_fpr_regnum |
pc_regnum |
first_spr_regnum |
psr_regnum |
ccr_regnum |
cccr_regnum |
fdpic_loadmap_exec_regnum |
fdpic_loadmap_interp_regnum |
tbr_regnum |
brr_regnum |
dbar0_regnum |
dbar1_regnum |
dbar2_regnum |
dbar3_regnum |
scr0_regnum |
scr1_regnum |
scr2_regnum |
scr3_regnum |
lr_regnum |
lcr_regnum |
iacc0h_regnum |
iacc0l_regnum |
fsr0_regnum |
acc0_regnum |
acc7_regnum |
accg0123_regnum |
accg4567_regnum |
msr0_regnum |
msr1_regnum |
gner0_regnum |
gner1_regnum |
fner0_regnum |
fner1_regnum |
last_spr_regnum |
frv_num_regs |
first_pseudo_regnum |
iacc0_regnum |
accg0_regnum |
accg7_regnum |
last_pseudo_regnum |
frv_num_pseudo_regs |

Definition at line 28 of file frv-tdep.h.

## ◆ frv_abi

enum frv_abi

Enumerator
FRV_ABI_EABI |
FRV_ABI_FDPIC |

Definition at line 20 of file frv-tdep.h.

## Function Documentation

## ◆ frv_abi()

enum frv_abi frv_abi | ( | struct gdbarch * | gdbarch | ) |

Definition at line 93 of file frv-tdep.c.

References gdbarch_tdep::frv_abi, and gdbarch_tdep().

Referenced by frv_push_dummy_call().

## ◆ frv_fdpic_find_canonical_descriptor()

CORE_ADDR frv_fdpic_find_canonical_descriptor | ( | CORE_ADDR | entry_point | ) |

Definition at line 955 of file solib-frv.c.

References so_list::abfd, find_canonical_descriptor_in_load_object(), find_pc_function(), frv_fdpic_find_global_pointer(), so_list::lm_info, main_executable_lm_info, master_so_list(), name, so_list::next, SYMBOL_LINKAGE_NAME, and symfile_objfile.

Referenced by find_func_descr().

## ◆ frv_fdpic_find_global_pointer()

CORE_ADDR frv_fdpic_find_global_pointer | ( | CORE_ADDR | addr | ) |

Definition at line 920 of file solib-frv.c.

References lm_info_frv::got_value, so_list::lm_info, main_got(), lm_info_frv::map, master_so_list(), and so_list::next.

Referenced by find_func_descr(), frv_convert_from_func_ptr_addr(), frv_fdpic_find_canonical_descriptor(), and frv_push_dummy_call().

## ◆ frv_fdpic_loadmap_addresses()

int frv_fdpic_loadmap_addresses | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR * | interp_addr,
|  | CORE_ADDR * | exec_addr
| ) |  |

Definition at line 102 of file frv-tdep.c.

References fdpic_loadmap_exec_regnum, fdpic_loadmap_interp_regnum, FRV_ABI_FDPIC, get_current_regcache(), and regcache_cooked_read_unsigned().

Referenced by enable_break2(), and frv_relocate_main_executable().

## ◆ frv_fetch_objfile_link_map()

CORE_ADDR frv_fetch_objfile_link_map | ( | struct objfile * | objfile | ) |

Definition at line 1128 of file solib-frv.c.

References if(), lm_info_frv::lm_addr, so_list::lm_info, main_lm_addr, master_so_list(), so_list::next, so_list::objfile, solib_add(), and symfile_objfile.

Referenced by frv_gdbarch_init().

## Variable Documentation

## ◆ frv_so_ops

struct target_so_ops frv_so_ops

Definition at line 1154 of file solib-frv.c.

Referenced by _initialize_frv_solib(), and frv_gdbarch_init().